﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;

namespace GenerateWord_2010
{
    public partial class GenerateWord : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        /// <summary>
        /// Creates word document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {
            // Open am existing document.
            WordDocument document = new WordDocument(this.Server.MapPath("Data") + @"\Template.docx");

            string htmlString = @"<html><body> <p> HTML String.... </p></body></html>";

            TextBodyPart textBodyPart = new TextBodyPart(document);
            textBodyPart.BodyItems.Add(document.CreateParagraph());
            WParagraph paragraph = textBodyPart.BodyItems[0] as WParagraph;
            paragraph.AppendHTML(htmlString);
            textBodyPart.BodyItems.Add(paragraph);

            BookmarksNavigator bkMarkNavigator = new BookmarksNavigator(document);
            bkMarkNavigator.MoveToBookmark("Testing_BookMark");
            bkMarkNavigator.ReplaceBookmarkContent(textBodyPart);
            
            if (rdButtonWord97To2003.Checked)
            {
                //Save as .doc Word 97-2003 format
                document.Save("Sample.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
            }
            //Save as .docx Word2007 format
            else if (rdButtonWord2007.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);

            }
            //Save as .docx Word2010 format
            else if (rdButtonWord2010.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);

            }
            //Save as .docx Word2013 format
            else if (rdButtonWord2013.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);

            }
        }
    }
}